parcoord                package:MASS                R Documentation

Parallel Coordinates Plot

Description:

     Parallel coordinates plot

Usage:

     parcoord(x, col = 1, lty = 1, ...)

Arguments:

       x: a matrix or data frame who columns represent variables. 

     col: A vector of colours, recycled as necessary for each
          observation. 

     lty: A vector of line types, recycled as necessary for each
          observation. 

     ...: Further graphics parameters which are passed to 'matplot'. 

Side Effects:

     a parallel coordinates plots is drawn.

References:

     Wegman, E. J. (1990) Hyperdimensional data analysis using parallel
     coordinates. _Journal of the American Statistical Association_
     *85*, 664-675.

     Venables, W. N. and Ripley, B. D. (2002) _Modern Applied
     Statistics with S._ Fourth edition.  Springer.

Examples:

     data(state)
     parcoord(state.x77[, c(7, 4, 6, 2, 5, 3)])

     data(iris3)
     ir <- rbind(iris3[,,1], iris3[,,2], iris3[,,3])
     parcoord(log(ir)[, c(3, 4, 2, 1)], col = 1 + (0:149)%/%50)

